Add a shipment to one or more shipment groups

post

/custom-actions/addToGroup/shipments/{shipment id}

Request

Header Parameters
  • An optional header parameter that allows you to process the request asynchronously. Set the request header "Prefer" to "respond-async" for asynchronous processing. For synchronous processing, leave the parameter blank or do not define it.
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Match All
Show Source
Nested Schema : actionRequest
Type: object
Show Source
Nested Schema : type
Type: object
Show Source
Nested Schema : pks
Type: array
Object primary keys that supports one or more multi-part (compound) keys
Show Source
Nested Schema : items
Type: array
Show Source
Nested Schema : shipGroupPks
Type: array
The type of the shipment group to find or create.
Show Source
Back to Top

Response

Supported Media Types

400 Response

Your request couldn't be processed because it contains missing or invalid information, such as a validation error on an input field, a missing required value, and so forth.
Body ()
Root Schema : errorResponse
Type: object
Show Source

401 Response

Unauthorized, the request was not successful because it lacks valid authentication credentials for the requested resource.
Body ()
Root Schema : errorResponse
Type: object
Show Source

403 Response

Access to the specified resource has been forbidden.
Body ()
Root Schema : errorResponse
Type: object
Show Source

500 Response

The server encountered something unexpected that prevented it from completing the request.
Body ()
Root Schema : errorResponse
Type: object
Show Source

Default Response

Default Response.
Body ()
Root Schema : addToGroupResponse
Match All
Show Source
Nested Schema : actionResponse
Type: object
Show Source
Nested Schema : addToGroupResponse-allOf[1]
Type: object
Show Source
Nested Schema : failed
Type: array
The type of the shipment group to find or create.
Show Source
Nested Schema : passed
Type: array
The type of the shipment group to find or create.
Show Source
Nested Schema : addToGroupResultItemWithError
Match All
Show Source
Nested Schema : addToGroupResultItem
Type: object
Show Source
Nested Schema : addToGroupResultItemWithError-allOf[1]
Type: object
Show Source
Back to Top